%define oname   rails

Name:       ruby-%{oname}
Version:    2.3.11
Release:    %mkrel 2
Summary:    Web-application framework with template engine, control-flow layer, and ORM
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch
Provides:   %{oname} = %{version}-%{release}

%description
Rails is a framework for building web-application using CGI, FCGI,
mod_ruby, or WEBrick
on top of either MySQL, PostgreSQL, SQLite, DB2, SQL Server, or Oracle with
eRuby- or Builder-based templates.

%files
%defattr(-, root, root, -)
%{_bindir}/rails
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin/rails
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/README
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------
%package        devel
Summary:    Devel package for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Devel package for %{name}. Contains the necessary files to create a rails
application

%files          devel
%defattr(-,root,root,-)
%{ruby_gemdir}/gems/%{oname}-%{version}/bin/
%exclude %{ruby_gemdir}/gems/%{oname}-%{version}/bin/rails
%{ruby_gemdir}/gems/%{oname}-%{version}/configs
%{ruby_gemdir}/gems/%{oname}-%{version}/doc
%{ruby_gemdir}/gems/%{oname}-%{version}/environments
%{ruby_gemdir}/gems/%{oname}-%{version}/helpers
%{ruby_gemdir}/gems/%{oname}-%{version}/html
%{ruby_gemdir}/gems/%{oname}-%{version}/fresh_rakefile

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
# filter files needed to create rails applications
%gem_build -f "bin|configs|environments|html|helpers|fresh_rakefile|README"

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Mon Apr 18 2011 shikamaru <shikamaru> 2.3.11-2.mga1
+ Revision: 87624
- Create devel package to allow creating rails apps
- filter files that should not be removed
- fix main package file list

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50622
- new version 2.3.11

* Sun Jan 23 2011 shikamaru <shikamaru> 2.3.10-2.mga1
+ Revision: 34616
- imported package ruby-rails

